name: Build Docker Images for Pull Request

on:
  pull_request:
    branches:
      - main

jobs:
  build:
    runs-on: ubuntu-latest

    steps:
      - name: Checkout repository actions
        uses: actions/checkout@v2

      - name: Setup Docker Environment
        uses: ./.github/actions/setup-docker-environment

      - name: Build Docker image
        uses: docker/build-push-action@v6.13.0
        with:
          context: .
          push: false
          tags: ${{ github.repository_owner }}/${{ github.event.repository.name }}:${{ github.event.pull_request.number }}
          platforms: |
            linux/amd64
            linux/arm64
      
      - name: Build monolith Docker image
        uses: docker/build-push-action@v6.13.0
        with:
          context: .
          tags: ${{ github.repository_owner }}/${{ github.event.repository.name }}:${{ github.event.pull_request.number }}-monolith
          file: ./Monolith.dockerfile
          platforms: |
            linux/amd64
            linux/arm64